<?php
/**
 * 
 */
namespace Copilot\Client;

require_once('class.Asset.php');

/**
 * Class for internal user only.
 * Holds a collection of assets and provides helper methods on those
 * @author M. Fischboeck
 * @since 15.28
 *
 */
class AssetCollection {
	
	/**
	 * @internal
	 * @var unknown
	 */
	private $assets = array();
	
	/**
	 * Constructor for internal usage!
	 * @param array $assets The array of assets to be managed
	 */
	public function __construct($assets) {
		foreach ($assets as $a) {
			array_push($this->assets, new Asset($a));
		}
	}
	
	/**
	 * Returns all assets in this collection for the given tagname
	 * @param string $tagname The assets tagname
	 * @return array: All assets that hold the given tagname. Might be empty
	 */
	public function getAssetsByTagname($tagname) {
		$retval = array();
		foreach ($this->assets as $a) {
			if ($a->containsTag($tagname)) {
				array_push($retval, $a);				
			}
		}
		return $retval;
	}
}