<?php
/**
 * 
 */
namespace Copilot\Client;
/**
 * The location a event will take place.
 * @author M. Fischboeck
 * @since 15.28
 *
 */
class Location {
	
	/**
	 * @internal
	 * @var unknown
	 */
	private $json;
	
	/**
	 * Internal constructor. Do not use!
	 * @internal
	 * @param unknown $data
	 */
	public function __construct($data) {
		$this->json = $data;
	}
	
	/**
	 * Returns the locations name
	 * @return string The name of the location
	 */
	public function getName() {
		return $this->json->name;
	}
	
	/**
	 * Reuturns the locations street
	 * @return string the street of the locations address
	 */
	public function getStreet() {
		return $this->json->address->street;
	}
	
	/**
	 * Returns the locations zipcode
	 * @return string The zipcode of the locations address
	 */
	public function getZipcode() {
		return $this->json->address->zipcode;
	}
	
	/**
	 * Returns the city of the locations address
	 * @return string The city of the locations address
	 */
	public function getCity() {
		return $this->json->address->city;
	}
	
	/**
	 * Returns the region of the locations address
	 * @return string The region of the locations address
	 */
	public function getRegion() {
		return $this->json->address->region;
	}
	
	/**
	 * Returns the country of the locations address
	 * @return string the country of the locations address
	 */
	public function getCountry() {
		return $this->json->address->country;
	}
	
	/**
	 * Returns the latitude of the locations address
	 * @return float The latitude of the locations address
	 */
	public function getLatitude() {
		return $this->json->address->latitude;
	}
	
	/**
	 * Returns the longitude of the locations address
	 * @return float The longitude of the locations address
	 */
	public function getLongitude() {
		return $this->json->address->longitude;
	}
}
?>